## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           qwlroots
Version:        0.1.0
Release:        %autorelease
Summary:        Qt and QML bindings for wlroots
License:        Apache-2.0 OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
URL:            https://github.com/vioken/qwlroots
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# fix to find ctest
Patch0:         https://github.com/vioken/qwlroots/pull/233.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  pkgconfig(wlroots)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wlr-protocols)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)

%description
qwlroots is a binding of wlroots, which provides a Qt style development
interface. It aims to simplify wlroots API calling methods with Qt, and serve
the needs of calling wlroots within Qt projects. In qwlroots, each wlroots
struct is wrapped as a C++ class with its corresponding functions. At the same
time, wl_singals in Wayland are wrapped as Qt signals.

%package        devel
Summary:        Development Files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1

%build
%cmake \
    -GNinja \
    -DPREFER_QT_5=OFF \

%cmake_build

%install
%cmake_install

%check
%ctest

%files
%doc README.md
%license LICENSES/*
%{_libdir}/libqwlroots.so.0*

%files devel
%{_includedir}/qwlroots/
%{_libdir}/cmake/QWlroots/
%{_libdir}/libqwlroots.so
%{_libdir}/pkgconfig/qwlroots.pc

%changelog
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun May 12 2024 topazus <topazus@outlook.com> - 0.1.0-1
- initial import; rhbz#2279930
